Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl Class Reference

`#include <ImR_LocatorC.h>`

Inheritance diagram for ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl:

[legend]
Collaboration diagram for ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl:

[legend]
List of all members.

## Public Methods
| _TAO_Locator_Remote_Proxy_Impl (void)
virtual | ~_TAO_Locator_Remote_Proxy_Impl (void)
virtual void | activate_server_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )
virtual void | remove_server_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | shutdown_server_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual void | server_is_shutting_down_in_location (CORBA_Object *_collocated_tao_target_, const char *server, const char *location ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )
virtual CORBA::ULong | register_activator (CORBA_Object *_collocated_tao_target_, const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )
virtual CORBA::ULong | unregister_activator (CORBA_Object *_collocated_tao_target_, const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , ImplementationRepository::NotFound )

## Constructor & Destructor Documentation

ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::_TAO_Locator_Remote_Proxy_Impl | ( | void |  | ) |

virtual ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::~_TAO_Locator_Remote_Proxy_Impl | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

void ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::activate_server_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound , ImplementationRepository::CannotActivate )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_Locator_Proxy_Impl.

CORBA::ULong ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::register_activator | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::AlreadyRegistered )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_Locator_Proxy_Impl.

void ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::remove_server_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_Locator_Proxy_Impl.

void ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::server_is_shutting_down_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_Locator_Proxy_Impl.

void ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::shutdown_server_in_location | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | server,
|  | const char *location | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_Locator_Proxy_Impl.

CORBA::ULong ImplementationRepository::_TAO_Locator_Remote_Proxy_Impl::unregister_activator | ( | CORBA_Object * | _collocated_tao_target_,
|  | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , ImplementationRepository::NotFound )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_Locator_Proxy_Impl.

The documentation for this class was generated from the following files:

- ImR_LocatorC.h
- ImR_LocatorC.cpp